#ifndef NEWCLASS_H
#define NEWCLASS_H
#include "ftpaccess.h"
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qpushbutton.h>
#include <kdialogbase.h>

class NewClassBase;

class NewClass : public KDialogBase {
	Q_OBJECT
public:
	NewClass(QWidget *parent=0, char * wname=0);
	~NewClass();
public slots:
	void slotOk();
signals:
	void classAdded(ftpclass *c);
private:
	NewClassBase *mWidget;
};
#endif
